#!/usr/bin/env python

"""
 smtp2zope.py - Read a email from stdin and forward it to a url
 
 Usage: smtp2zope.py URL [maxBytes]
 
 URL      = call this URL with the email as a post-request
 maxBytes = optional: only forward mails < maxBytes to URL
"""

# $Id: smtp2zope.py,v 1.3 2002/10/29 07:47:03 mjablonski Exp $

import sys, urllib

# Check if we have at least one parameter
if len(sys.argv) == 1:
	print __doc__
	sys.exit(1)
	
# Get the url to call
callURL   = sys.argv[1]

# Check for optional maxBytes
if len(sys.argv) == 3:
	maxBytes  = long(sys.argv[2])
else:
	maxBytes  = 0 # means: unlimited!!!

# Get the raw mail and check its size
Mail = sys.stdin.read()

if maxBytes>0 and len(Mail)>maxBytes:
	raise('Your mail is too big!!! Only mails with less than %d Bytes are allowed.' % maxBytes)

urllib.urlopen(callURL,data='Mail='+urllib.quote(Mail))
